# -*- coding: utf-8 -*-
# Generated by Django 1.11.4 on 2017-09-30 15:56
from __future__ import unicode_literals

from django.db import migrations, models


def update_status(apps, schema_editor):
    """
    Update current Production Stream status by checking their events content.
    """
    ProductionStream = apps.get_model('production', 'ProductionStream')
    for stream in ProductionStream.objects.all():
        if stream.status == 'completed':
            stream.status = 'completed'
        elif stream.events.filter(event='cited_notified').exists():
            stream.status = 'cited'
        elif stream.events.filter(event='paper_published').exists():
            stream.status = 'published'
        elif stream.events.filter(event='authors_have_accepted_proofs').exists():
            stream.status = 'accepted'
        elif stream.events.filter(event='corrections_implemented').exists():
            stream.status = 'corrected'
        elif stream.events.filter(event='proofs_returned_by_authors').exists():
            stream.status = 'returned'
        elif stream.events.filter(event='proofs_sent_to_authors').exists():
            stream.status = 'sent'
        elif stream.events.filter(event='proofs_checked_by_supervisor').exists():
            stream.status = 'checked'
        elif stream.events.filter(event='officer_tasked_with_proof_production').exists():
            stream.status = 'tasked'
        else:
            stream.status = 'initiated'
        stream.save()
    return


def update_status_inverse(apps, schema_editor):
    """
    Reverse update statuses to only complete/ongoing by checking the status.
    """
    ProductionStream = apps.get_model('production', 'ProductionStream')
    for stream in ProductionStream.objects.all():
        if stream.status == 'completed':
            stream.status = 'completed'
        else:
            stream.status == 'ongoing'
        stream.save()
    return


class Migration(migrations.Migration):

    dependencies = [
        ('production', '0021_auto_20170930_1729'),
    ]

    operations = [
        migrations.AlterField(
            model_name='productionstream',
            name='status',
            field=models.CharField(choices=[('initiated', 'Initiated'), ('tasked', 'Supervisor tasked officer with proofs production'), ('produced', 'Proofs have been produced'), ('checked', 'Proofs have been checked by Supervisor'), ('sent', 'Proofs sent to Authors'), ('returned', 'Proofs returned by Authors'), ('corrected', 'Corrections implemented'), ('accepted', 'Authors have accepted proofs'), ('published', 'Paper has been published'), ('cited', 'Cited people have been notified/invited to SciPost'), ('completed', 'Completed')], default='initiated', max_length=32),
        ),
        migrations.RunPython(update_status, update_status_inverse)
    ]
