# -*- coding: utf-8 -*-
# Generated by Django 1.11.4 on 2017-09-30 20:30
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import production.models
import scipost.storage


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('production', '0023_auto_20170930_1759'),
    ]

    operations = [
        migrations.CreateModel(
            name='Proof',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('attachment', models.FileField(storage=scipost.storage.SecureFileStorage(), upload_to=production.models.proofs_upload_location)),
                ('version', models.PositiveSmallIntegerField(default=0)),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('status', models.CharField(choices=[('uploaded', 'Proof uploaded'), ('accepted', 'Proof accepted'), ('declined', 'Proof declined'), ('renewed', 'Proof renewed')], default='uploaded', max_length=16)),
            ],
        ),
        migrations.AlterField(
            model_name='productionevent',
            name='event',
            field=models.CharField(choices=[('assignment', 'Assignment'), ('status', 'Status change'), ('message', 'Message'), ('registration', 'Hour registration')], default='message', max_length=64),
        ),
        migrations.AlterField(
            model_name='productionstream',
            name='status',
            field=models.CharField(choices=[('initiated', 'New Stream started'), ('tasked', 'Supervisor tasked officer with proofs production'), ('produced', 'Proofs have been produced'), ('checked', 'Proofs have been checked by Supervisor'), ('sent', 'Proofs sent to Authors'), ('returned', 'Proofs returned by Authors'), ('corrected', 'Corrections implemented'), ('accepted', 'Authors have accepted proofs'), ('published', 'Paper has been published'), ('cited', 'Cited people have been notified/invited to SciPost'), ('completed', 'Completed')], default='initiated', max_length=32),
        ),
        migrations.AlterField(
            model_name='productionstream',
            name='submission',
            field=models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='production_stream', to='submissions.Submission'),
        ),
        migrations.AddField(
            model_name='proof',
            name='stream',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='proofs', to='production.ProductionStream'),
        ),
        migrations.AddField(
            model_name='proof',
            name='upload_by',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='+', to=settings.AUTH_USER_MODEL),
        ),
    ]
